package rpc.ws;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;

/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "HelloWorldImplService", targetNamespace = "http://ws.rpc.minhnd.com/", wsdlLocation = "http://localhost:9999/ws/rpc/hello?wsdl")
public class HelloWorldImplService extends Service {
	
	private final static URL HELLOWORLDIMPLSERVICE_WSDL_LOCATION;
	private final static WebServiceException HELLOWORLDIMPLSERVICE_EXCEPTION;
	private final static QName HELLOWORLDIMPLSERVICE_QNAME = new QName("http://ws.rpc.minhnd.com/",
			"HelloWorldImplService");
	
	static {
		URL url = null;
		WebServiceException e = null;
		try {
			url = new URL("http://localhost:9999/ws/rpc/hello?wsdl");
		} catch (MalformedURLException ex) {
			e = new WebServiceException(ex);
		}
		HELLOWORLDIMPLSERVICE_WSDL_LOCATION = url;
		HELLOWORLDIMPLSERVICE_EXCEPTION = e;
	}
	
	public HelloWorldImplService() {
		super(__getWsdlLocation(), HELLOWORLDIMPLSERVICE_QNAME);
	}
	
	public HelloWorldImplService(WebServiceFeature... features) {
		super(__getWsdlLocation(), HELLOWORLDIMPLSERVICE_QNAME, features);
	}
	
	public HelloWorldImplService(URL wsdlLocation) {
		super(wsdlLocation, HELLOWORLDIMPLSERVICE_QNAME);
	}
	
	public HelloWorldImplService(URL wsdlLocation, WebServiceFeature... features) {
		super(wsdlLocation, HELLOWORLDIMPLSERVICE_QNAME, features);
	}
	
	public HelloWorldImplService(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}
	
	public HelloWorldImplService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
		super(wsdlLocation, serviceName, features);
	}
	
	/**
	 * 
	 * @return
	 *     returns HelloWorld
	 */
	@WebEndpoint(name = "HelloWorldImplPort")
	public HelloWorld getHelloWorldImplPort() {
		return super.getPort(new QName("http://ws.rpc.minhnd.com/", "HelloWorldImplPort"), HelloWorld.class);
	}
	
	/**
	 * 
	 * @param features
	 *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
	 * @return
	 *     returns HelloWorld
	 */
	@WebEndpoint(name = "HelloWorldImplPort")
	public HelloWorld getHelloWorldImplPort(WebServiceFeature... features) {
		return super.getPort(new QName("http://ws.rpc.minhnd.com/", "HelloWorldImplPort"), HelloWorld.class, features);
	}
	
	private static URL __getWsdlLocation() {
		if (HELLOWORLDIMPLSERVICE_EXCEPTION != null) {
			throw HELLOWORLDIMPLSERVICE_EXCEPTION;
		}
		return HELLOWORLDIMPLSERVICE_WSDL_LOCATION;
	}
	
}
